BimpHelp

Transfers between accounts: Bimp API methods

Bimp API methods for the “Transfers between accounts” resource (/org2/interaccountTransfer/…): 4 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.

Inter-account transfer documents

MethodWhat it does
POST /org2/interaccountTransfer/api-readA request to obtain detailed information for a particular inter-account transfer document
POST /org2/interaccountTransfer/api-readListA request to view a list of inter-account transfer documents
POST /org2/interaccountTransfer/api-createA request to create an inter-account transfer document
POST /org2/interaccountTransfer/api-updateA request to update an inter-account transfer document

api-read

POST /org2/interaccountTransfer/api-read

A request to obtain detailed information for a particular inter-account transfer document

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for an inter-account transfer document

Response: data field

FieldTypeDescription
uuidstring (uuid)A unique uuid key for an inter-account transfer document
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstringThe document’s number. Use this field if you need to specify a custom number
namestringDocument name
commentstringAn optional text field for any additional notes or comments related to the document
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
statusstring (uuid)A unique uuid key for a document status
paymentEntitySenderstring (uuid)Payment entity (bank account or cash) to transfer from
paymentEntityRecipientstring (uuid)Payment entity (bank account or cash) to transfer to
currencystring (uuid)A unique identifier for the Currency, obtainable from the /currency/api-readList request
purchaseCurrencystring (uuid)Currency of the recipient side
ratenumberCurrency exchange rate for the document
sumnumberThe sum of the document
amountToCreditnumberAmount that will be credited to the recipient
exchangeRateDifferencenumberExchange rate difference amount
contractstring (uuid)The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
projectstring (uuid)A unique identifier for the Project, obtainable from the /project/api-readList request
projectRecipientstring (uuid)Project on the recipient side
lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
lineOfBusinessRecipientstring (uuid)Line of business on the recipient side
articlestring (uuid)A unique uuid key for a cash-flow / article catalog item
mutualSettlementTypeSenderstring (uuid)Mutual settlement type on the sender side
mutualSettlementTypeRecipientstring (uuid)Mutual settlement type on the recipient side
chartOfAccountstring (uuid)A unique identifier for the Chart of account, obtainable from the /chartOfAccount/api-readList request
cashPaymentTypenumberCash payment type code
curl -X POST 'https://app.bimpsoft.com/org2/interaccountTransfer/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-readList

POST /org2/interaccountTransfer/api-readList

A request to view a list of inter-account transfer documents

Request body (JSON)

FieldTypeRequiredDescription
paginationobjectyes
pagination.offsetnumberyesBegin from {offset} elements
pagination.countnumberyesLimit of paginated elemets
filtersobjectFilters for inter-account transfer list
filters.commentstringAn optional text field for any additional notes or comments related to the document
filters.organizationstring (uuid)[]A unique identifier for the Organization, obtainable from the /organization/api-readList request
filters.authorstring (uuid)[]A unique identifier for the Author, obtainable from the /user/api-readList request
filters.paymentEntitystring (uuid)[]The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
filters.periodobject[]Date period filter [from, to]

Response: data field

FieldTypeDescription
[].uuidstring (uuid)
[].namestringDocument name
[].numberstringThe document’s number. Use this field if you need to specify a custom number
[].datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
[].commentstringAn optional text field for any additional notes or comments related to the document
[].sumnumberThe sum of the document
[].authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
[].organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
[].currencystring (uuid)A unique identifier for the Currency, obtainable from the /currency/api-readList request
curl -X POST 'https://app.bimpsoft.com/org2/interaccountTransfer/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

api-create

POST /org2/interaccountTransfer/api-create

A request to create an inter-account transfer document

Request body (JSON)

FieldTypeRequiredDescription
organizationstring (uuid)yesA unique identifier for the Organization, obtainable from the /organization/api-readList request
paymentEntitySenderstring (uuid)yesPayment entity (bank account or cash) to transfer from
paymentEntityRecipientstring (uuid)yesPayment entity (bank account or cash) to transfer to
sumnumberyesThe sum of the document
projectstring (uuid)yesA unique identifier for the Project, obtainable from the /project/api-readList request
lineOfBusinessstring (uuid)yesA unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
chartOfAccountstring (uuid)A unique identifier for the Chart of account, obtainable from the /chartOfAccount/api-readList request
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstringThe document’s number. Use this field if you need to specify a custom number
namestringDocument name
commentstringAn optional text field for any additional notes or comments related to the document
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
statusstring (uuid)A unique uuid key for a document status
currencystring (uuid)A unique identifier for the Currency, obtainable from the /currency/api-readList request
purchaseCurrencystring (uuid)Currency of the recipient side
ratenumberCurrency exchange rate for the document
amountToCreditnumberAmount that will be credited to the recipient
exchangeRateDifferencenumberExchange rate difference amount
contractstring (uuid)The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
projectRecipientstring (uuid)Project on the recipient side
lineOfBusinessRecipientstring (uuid)Line of business on the recipient side
articlestring (uuid)A unique uuid key for a cash-flow / article catalog item
mutualSettlementTypeSenderstring (uuid)Mutual settlement type on the sender side
mutualSettlementTypeRecipientstring (uuid)Mutual settlement type on the recipient side
cashPaymentTypenumberCash payment type code

Response: data field

FieldTypeDescription
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/interaccountTransfer/api-create' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"organization":"00000000-0000-0000-0000-000000000000","paymentEntitySender":"00000000-0000-0000-0000-000000000000","paymentEntityRecipient":"00000000-0000-0000-0000-000000000000","sum":1,"project":"00000000-0000-0000-0000-000000000000","lineOfBusiness":"00000000-0000-0000-0000-000000000000"}'

api-update

POST /org2/interaccountTransfer/api-update

A request to update an inter-account transfer document

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for an inter-account transfer document
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
paymentEntitySenderstring (uuid)Payment entity (bank account or cash) to transfer from
paymentEntityRecipientstring (uuid)Payment entity (bank account or cash) to transfer to
sumnumberThe sum of the document
projectstring (uuid)A unique identifier for the Project, obtainable from the /project/api-readList request
lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
chartOfAccountstring (uuid)A unique identifier for the Chart of account, obtainable from the /chartOfAccount/api-readList request
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstringThe document’s number. Use this field if you need to specify a custom number
namestringDocument name
commentstringAn optional text field for any additional notes or comments related to the document
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
statusstring (uuid)A unique uuid key for a document status
currencystring (uuid)A unique identifier for the Currency, obtainable from the /currency/api-readList request
purchaseCurrencystring (uuid)Currency of the recipient side
ratenumberCurrency exchange rate for the document
amountToCreditnumberAmount that will be credited to the recipient
exchangeRateDifferencenumberExchange rate difference amount
contractstring (uuid)The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
projectRecipientstring (uuid)Project on the recipient side
lineOfBusinessRecipientstring (uuid)Line of business on the recipient side
articlestring (uuid)A unique uuid key for a cash-flow / article catalog item
mutualSettlementTypeSenderstring (uuid)Mutual settlement type on the sender side
mutualSettlementTypeRecipientstring (uuid)Mutual settlement type on the recipient side
cashPaymentTypenumberCash payment type code

Response: data field

FieldTypeDescription
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/interaccountTransfer/api-update' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.